cURL
curl --request GET \
--url https://api.puretalk.ai/api/calls/{call_id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.puretalk.ai/api/calls/{call_id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.puretalk.ai/api/calls/{call_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"msg": "Success",
"err": false,
"results": {
"call_analysis": {
"summary": "This is a summary of the call",
"call_completion_summary": "This is a summary of the call completion",
"call_completion": "This is a summary of the call completion",
"task_completion_summary": "This is a summary of the task completion",
"task_completion": "This is a summary of the task completion",
"post_analysis_data": [
{
"name": "This is the name of the post analysis data",
"value": "This is the value of the post analysis data"
}
]
},
"protocol": "web",
"call_id": "be8b84ed-16d8-459e-b71c-b0f54fce5ec1",
"from_number": "+1234567890",
"to_number": "+1234567890",
"assistant_id": "217b769d-befe-47a2-83bc-b014c2e19ea5",
"assistant_name": "Appointment Setter",
"voice_id": "Puretalktts-e0c5f2f95332",
"voice_name": "Gabrielle",
"start_time": "2025-05-19T10:15:22.230876-04:00",
"end_time": "2025-05-19T10:15:22.230876-04:00",
"call_duration_seconds": 123,
"call_type": "outgoing",
"transcript": "This is the transcript of the call",
"transcript_object": [
{
"role": "user",
"content": "This is the content of the transcript",
"function_name": "get_weather",
"interrupted": false,
"function_args": "{\"location\": \"New York\"}",
"tool_calls": [],
"turn_latency": {
"latency": 1.5,
"eou_delay": 0.2,
"llm_latency": 0.8,
"tts_latency": 0.5
}
}
],
"status": "completed",
"provider_call_id": "CA96878fe2501423e1f018a7ab6db5498b",
"metadata": "This is the metadata of the call",
"variables": [
"<string>"
],
"answered_by": "human",
"call_recording_enabled": true,
"call_recording_url": "https://api.puretalk.ai/api/calls/1234567890/recording",
"campaign_id": "<string>",
"sentiment": "positive",
"is_billed": true
}
}{
"err": true,
"msg": "An error occurred."
}Calls
Get Call
Returns a single call based on the ID supplied
GET
/
calls
/
{call_id}
cURL
Authorizations
Authorization header containing API key. You can find your API key in the dashboard under 'API Keys'.
Path Parameters
ID of call to return
Was this page helpful?
⌘I